//
//  XTHtmlTagLi.m
//  TadsTerp
//
//  Created by Rune Berg on 21/05/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagLi.h"
#import "XTOutputFormatterProtocol.h"


@implementation XTHtmlTagLi

+ (NSString *)name
{
	return @"li";
}

+ (BOOL)standalone
{
	return NO;
}

+ (BOOL)blockLevel
{
	//TODO exp. what about <li> ouside <ol>/<ul>?
	
	//TODO only if in <ol> or <ul> !!
	
	return YES;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagLi:self];
}

@end
